Jump to content

  • Log in with Facebook Log in with Twitter Log In with Google      Sign In   
  • Create Account

Wineskin Winery Update?


  • Please log in to reply
9 replies to this topic

#1 dankoB

dankoB

    Legendary Member

  • Super Moderators
  • 3011 posts
  • LocationNew Brunswick, Canada
  • Graphics Card:MacBook Pro 11,3
    Core i7 16GB
    NVIDIA GeForce GT 750M
    2GB GDDR5 vRAM
  • Operating System:macOS 10.12 (Sierra)
  • I like to play:la rockitar
Author

Posted 12 July 2015 - 07:10 PM

Hi doh, It's been awhile since there has been an update to Winery. Although we have had a lot of forum support from new members in updating the frameworks for Wineskin, I was wondering when we might see an official update from your side.

Cheers

#2 waves

waves

    Tired, and starting to outlive my usefullness.

  • Super Moderators
  • 1600 posts
  • Graphics Card:NVIDA
  • Operating System:Mac OS X 10.6 (Snow Leopard)
Author

Posted 12 July 2015 - 08:49 PM

With support for 10.6 - cough cough :)
Posted Image

How to get multiple file port games / apps runnning: http://portingteam.c...-combine-files/

#3 Slice

Slice

    Veteran Member

  • Members
  • PipPipPipPipPip
  • 305 posts
  • Graphics Card:AMD Radeon HD6670, GTX650
  • Operating System:OS X 10.11 (El Capitan)
  • I like to play:Heroes III
    4x4 Evolution
    made Heroes VI working!

Posted 22 July 2015 - 06:56 AM

+1
Wineskin must be updated.

#4 NRG

NRG

    Champion Member

  • Members
  • 679 posts
  • Graphics Card:Nvidia 9800m GTS
  • Operating System:OS X 10.10 (Yosemite)

Posted 22 July 2015 - 07:47 AM

Posted Image

:(

#5 doh123

doh123

    Wineskin Developer

  • Members
  • 4279 posts
  • LocationOver here
  • Graphics Card:Geforce GT 650M, Intel HD 4000, Radeon 6750, Intel HD 3000, Geforce 320m (in 3 machines)
  • Operating System:OS X 10.8 (Mountain Lion)
  • I like to play:RPG and Strategy

Posted 28 July 2015 - 07:44 AM

What specific updates are you looking for?

#6 NRG

NRG

    Champion Member

  • Members
  • 679 posts
  • Graphics Card:Nvidia 9800m GTS
  • Operating System:OS X 10.10 (Yosemite)

Posted 28 July 2015 - 08:17 AM

View Postdoh123, on 28 July 2015 - 07:44 AM, said:

What specific updates are you looking for?

Mainly, W2.5.5v1EngineBase lib folder and frameworks  libraries, such as those required by the wine-staging engines: see here...

Many other libraries are old and it would be better update them for example from macport libs...

#7 doh123

doh123

    Wineskin Developer

  • Members
  • 4279 posts
  • LocationOver here
  • Graphics Card:Geforce GT 650M, Intel HD 4000, Radeon 6750, Intel HD 3000, Geforce 320m (in 3 machines)
  • Operating System:OS X 10.8 (Mountain Lion)
  • I like to play:RPG and Strategy

Posted 28 July 2015 - 08:37 AM

So Wineskin itself, and not Winery… WineskinX11 and supporting libraries are rather old.  Its such a pain trying to update them and all the bugs and troubleshooting that goes with it…

#8 dankoB

dankoB

    Legendary Member

  • Super Moderators
  • 3011 posts
  • LocationNew Brunswick, Canada
  • Graphics Card:MacBook Pro 11,3
    Core i7 16GB
    NVIDIA GeForce GT 750M
    2GB GDDR5 vRAM
  • Operating System:macOS 10.12 (Sierra)
  • I like to play:la rockitar
Author

Posted 28 July 2015 - 04:58 PM

Mind you I know nothing about developing apps, I just figured a Winery update would be required to create new wrappers with updated libraries.

But, I just noticed after creating this thread that Slice has instructions to simply drop the libraries into the Application Support/Wineskin/Wrapper/Wineskin-2.6.0.app/Contents/Frameworks folder...does Winery install all libraries located in this folder regardless if they are originally a part of the official release?

#9 ovvldc

ovvldc

    Master Member

  • Members
  • 1250 posts
  • LocationEurope
  • Graphics Card:Intel Iris Plus
  • Operating System:Other OS/Not specified
  • I like to play:stories

Posted 28 July 2015 - 10:03 PM

I think doh123 is talking about updating X11 and Mesa and such. That's not just a few libraries as it carries a lot of dependencies. I have no idea if that is worth it. Certainly, the most recent OpenGL 4 stuff in Mesa is not in XQuartz yet, and I have no idea when it will be brought in.

#10 doh123

doh123

    Wineskin Developer

  • Members
  • 4279 posts
  • LocationOver here
  • Graphics Card:Geforce GT 650M, Intel HD 4000, Radeon 6750, Intel HD 3000, Geforce 320m (in 3 machines)
  • Operating System:OS X 10.8 (Mountain Lion)
  • I like to play:RPG and Strategy

Posted 29 July 2015 - 12:29 PM

Winery installs a master wrapper for you… which is Wineskin 2.6.0 right now.  All the updates your talking about would be in that wrapper, and it would just be say Wineskin 2.6.1 or 2.7.0 or whatever… and Winery itself wouldn't change.  If you manually change things in your 2.6.0 master wrapper (~/Application Support/Wineskin/Wrapper/Wineskin-2.6.0.app/Contents/Frameworks), then it will go into all newly made wrappers after that.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users